Contents

Get Wiki Page Attachment

[Notice] Starting July 14, 2026, we are changing how we provide Wiki:

  • New spaces: Wiki is not available.
  • Existing spaces: Wiki is off by default for new projects. You can turn it on in project settings.

For details, see Important Notice: Discontinuing Wiki for New Spaces and Updating Default Settings for New Projects(Open in new tab).


Wiki API endpoints still work. Discontinuing Wiki in the future will affect API integrations, and we’ll give you ample notice beforehand.

Downloads Wiki page’s attachment file.

Role

All

Method

GET

URL

/api/v2/wikis/:wikiId/attachments/:attachmentId

URL parameters

Parameter NameTypeDescription
wikiIdNumberWiki Page ID
attachmentIdNumberAttachment file ID

Response example

Status Line / Response Header

HTTP/1.1 200 OK
Content-Type:application/octet-stream
Content-Disposition:attachment;filename="attachment.doc"

Response Body